<?php

// {{{ requires
require_once CLASS_REALDIR . 'pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php';

class LC_Page_FrontParts_Bloc_Category_slide extends LC_Page_FrontParts_Bloc {

    // }}}
    // {{{ functions

    /**
     * Page を初期化する.
     *
     * @return void
     */
    function init() {
        parent::init();
		// include_phpで、読み込ませるために必要な記述
		$this->setTplMainpage('category_slide.tpl');
    }

    /**
     * Page のプロセス.
     *
     * @return void
     */
    function process() {
        $this->action();
        $this->sendResponse();
    }

    /**
     * Page のアクション.
     *
     * @return void
     */
    function action() {

        // データベースから取得
        $objQuery =& SC_Query_Ex::getSingletonInstance();
        $this->arrRet = array();

        //カテゴリー名を取得
        $arrRet = $objQuery->select('*','dtb_category','del_flg = 0 order by rank DESC');
		
		//データベースから取得できたか
		if(isset($arrRet)){
			$this->arrRet = $arrRet;
		}
    }

    /**
     * デストラクタ.
     *
     * @return void
     */
    function destroy() {
        parent::destroy();
    }
}
?>
